@echo off
verify # 2>nul
setlocal enableextensions enabledelayedexpansion
if errorlevel 1 goto CANT_SWITCH_ON_EXTENDED_CMD_PROCESSING
call #SETTINGS.cmd
if !errorlevel! neq 0 goto ERROR

if "%~0"=="$OPEN_CLIENT_SERVER_X.cmd" goto START
cls
echo OPENING CLIENT-N-SERVER (EXPOSE):
echo ßßßßßßßßßßßßßßßßßßßßßßßßßßßßßßßßß

:START
call START_SERVER_X.cmd
if !errorlevel! neq 0 goto ERROR

call ^^!OPEN_IN_BROWSER.cmd
if !errorlevel! neq 0 goto ERROR

::==================================================================================================

if "%~0"=="$OPEN_CLIENT_SERVER_X.cmd" goto FINISH
echo.
echo ÜÜÜ DONE ÜÜÜ
goto FINISH

::==================================================================================================

:CANT_SWITCH_ON_EXTENDED_CMD_PROCESSING
echo.
echo ## Can not switch on extended command processing.
goto ERROR

::==================================================================================================
:RESET_ERROR
set errorlevel=0
set errorlevel=
goto :EOF
::==================================================================================================
:ERROR
if not "%~0"=="$OPEN_CLIENT_SERVER_X.cmd" (
echo 
if not "%$cmd_plain%"=="1" pause )
endlocal
verify # 2>nul
goto :EOF
:FINISH
if not "%~0"=="$OPEN_CLIENT_SERVER_X.cmd" if "%$cmd_plain%"=="1" echo.
endlocal
call :RESET_ERROR
goto :EOF
::==================================================================================================
